<template>
  <div class="hello">
    <h1>{{ message }}</h1>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'HelloWorld',
  data: () => ({
    message: '',
  }),

  mounted() {
    // axios.defaults.headers.common['Access-Control-Allow-Origin'] = '*';
    this.getData();
  },

  methods: {
    async getData() {
      const urlData = `${window.location.origin}/api/status`;

      const { data } = await axios.get(urlData)
        .catch((error) => {
          console.log(error);
        });

      this.message = data;
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
